Name:           perl-Algorithm-SVM
Version:        0.13
Release:        9%{?dist}
Summary:        Perl bindings for the libsvm Support Vector Machine library

# Note: The sources bundle a copy of libsvm which is BSD-licensed,
#    https://fedoraproject.org/wiki/Licensing/BSD#3ClauseBSD
# But this file gets dropped during %%prep (see Patch0)
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Algorithm-SVM/

Source0:        http://www.cpan.org/authors/id/L/LA/LAIRDM/Algorithm-SVM-%{version}.tar.gz

# https://rt.cpan.org/Public/Bug/Display.html?id=79106
Patch0:         Algorithm-SVM-0.13-Unbundle-libsvm.patch
Patch1:         Algorithm-SVM-0.13-Port-to-libsvm-3.0.patch

# https://rt.cpan.org/Public/Bug/Display.html?id=79754
Patch2:         Algorithm-SVM-0.13-Fix-build-on-32-bits-with-Perl-5.14.patch

BuildRequires:  perl(AutoLoader)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test)
BuildRequires:  libsvm-devel

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Algorithm::SVM implements a Support Vector Machine for Perl. Support Vector
Machines provide a method for creating classification functions from a set
of labeled training data, from which predictions can be made for subsequent
data sets.


%prep
%setup -q -n Algorithm-SVM-%{version}

%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;

%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README sample.model sample.model.1
%{perl_vendorarch}/Algorithm/SVM*
%{perl_vendorarch}/auto/Algorithm/SVM
%{_mandir}/man3/Algorithm::SVM*


%changelog
* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.13-9
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.13-5
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Sep 20 2012 Mathieu Bridon <bochecha@fedoraproject.org> - 0.13-3
- Fix build on 32 bits with Perl >= 5.14
  https://rt.cpan.org/Public/Bug/Display.html?id=79754

* Wed Sep 19 2012 Mathieu Bridon <bochecha@fedoraproject.org> - 0.13-2
- Fix issues based on Petr's review feedback:
  - Fix typo 'classifcation' in the package description.
  - Filter the private library out of provides.
  - Add missing build requirements for the unit tests.
  - Stop needlessly removing the empty dirs from the buildroot.

* Tue Aug 21 2012 Mathieu Bridon <bochecha@fedoraproject.org> - 0.13-1
- Initial package, with help from cpanspec.
